import { Component, Input, EventEmitter, Output, ViewChild, OnInit } from '@angular/core';
import { Notification } from '@overflow/commons-typescript/model/notification';
import { Page, PageParams } from '@overflow/commons-typescript/core/model';
import { Paginator } from 'primeng/primeng';

@Component({
    selector: 'of-notification-badge',
    templateUrl: './badge.component.html',
})
export class NotificationBadgeComponent {

    @Input() notificationPage: Page<Notification>;
    @Output() viewAll = new EventEmitter();
    @Output() select = new EventEmitter<Notification>();

    onNotiClick(notification: Notification) {
        this.select.emit(notification);
    }

    onViewAllClick() {
        this.viewAll.emit();
    }
}
